User Tag List

Results 1 to 8 of 8

Thread: What devices do I need?

  1. #1
    Clicker

    Fusion 2.5Android Export ModuleiOS Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Fusion 2.5+ DLC (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)

    Join Date
    Dec 2013
    Posts
    86
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)

    What devices do I need?

    I want to release my app to the App Store when it's complete, but I don't know how new I need the devices to be.

    I was looking at purchasing an iPhone 5s along with a 2009 Mac Mini with an SSD and 8gb of RAM that I found cheap for sale, but not sure if these (at least the Mac Mini) would cut it.

    There's a bunch of topics about this but I'm confused because OS versions keep changing and Xcode versions keep changing. Any information would be a great help, thanks!

  2. #2
    Clicker

    Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleiOS Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    wpd's Avatar
    Join Date
    Nov 2015
    Location
    SE Asia
    Posts
    406
    Mentioned
    12 Post(s)
    Tagged
    1 Thread(s)
    something that can have Mac OS sierra , I believe mac mini can handle it. I updated to latest mac os, latest xcode, latest fusion beta version, I'm good

  3. #3
    Clicker

    Fusion 2.5Android Export ModuleiOS Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Fusion 2.5+ DLC (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)

    Join Date
    Dec 2013
    Posts
    86
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    Does it have to be Sierra? Not El Capitan or whatever the previous one was? I don't think the 2009 Mac Mini can be updated to Sierra so if that's the case I'll probably have to look at another option.

  4. #4
    Clicker

    Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleiOS Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    wpd's Avatar
    Join Date
    Nov 2015
    Location
    SE Asia
    Posts
    406
    Mentioned
    12 Post(s)
    Tagged
    1 Thread(s)
    I believe el capitan will run xcode 8, so you're probably good...
    but going Sierra will future proof xcode 9 and so on. the lesser the issues and what not

  5. #5
    Clicker

    Fusion 2.5Android Export ModuleiOS Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Fusion 2.5+ DLC (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)

    Join Date
    Dec 2013
    Posts
    86
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    Apparently I can run a patcher on older devices to allow it to update to Sierra, and with the SSD and extra RAM it should be fine I'm sure. Thanks for the info.

  6. #6
    Clicker Fusion 2.5Android Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    amiman99's Avatar
    Join Date
    Dec 2015
    Posts
    243
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I'm running El Captain in VirtualBox5.0 and it works fine so far. On my first try I was able to build and test my app using the simulator.

  7. #7
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)iOS Export Module (Steam)
    evi1ove's Avatar
    Join Date
    Jun 2014
    Location
    Kyiv, Ukraine
    Posts
    69
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    U need iphone 6/6s/7 Plus, coz Apple need sreenshots 2208x1242 and video 1920x1080.

  8. #8
    Clicker Fusion 2.5 Developer

    Join Date
    Feb 2014
    Posts
    977
    Mentioned
    16 Post(s)
    Tagged
    1 Thread(s)
    that doesnt mean u need those devices, it just means u gotta submit sum big screenshots

    i only hav an ipod 5 & i've been fine to release with that, tho having a 6 or 7 wudnt hurt if its in ur price range.

Similar Threads

  1. Old Devices
    By Fernando in forum Android Export Module 2.5
    Replies: 51
    Last Post: 3rd February 2016, 11:29 PM
  2. optimization on iOS devices
    By omegler in forum iOS Export Module 2.5
    Replies: 3
    Last Post: 17th April 2015, 08:42 PM
  3. Best devices do test
    By Decoamorim in forum Android Export Module Version 2.0
    Replies: 8
    Last Post: 3rd November 2013, 12:50 AM
  4. 2nd gen devices
    By Francois in forum iOS Export Module Version 2.0
    Replies: 19
    Last Post: 20th January 2011, 08:12 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •